%define		_status		beta
%define		_pearname	Net_SMPP
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - SMPP v3.4 protocol implementation
Summary(pl.UTF-8):	%{_pearname} - implementacja protokołu SMPP v3.4
Name:		php-pear-%{_pearname}
Version:	0.4.5
Release:	3
License:	PHP 3.0
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	2ceb72287a4f6de3f8fab91f80a3ca34
URL:		http://pear.php.net/package/Net_SMPP/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 4.1.0
Requires:	php-pear
Requires:	php-pear-PEAR-core >= 1:1.3
Suggests:	php-pear-Net_Socket
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	pear(Net/Socket.*)

%description
Net_SMPP is an implementation of the SMPP (Short Message Peer-to-Peer)
v3.4 protocol. SMPP is an open protocol used in the wireless industry
to send and recieve SMS messages.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Net_SMPP to implementacja protokołu SMPP (Short Message Peer-to-Peer)
w wersji 3.4. SMPP to otwarty protokół wykorzystywany w przemyśle
bezprzewodowym do wysyłania i odbierania wiadomości SMS.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Net/*.php
%{php_pear_dir}/Net/SMPP
%changelog
* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> 1b577a9
- use php(core) for php engine version deps
- release 2 (by relup.sh)

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> c16d7f2
- updated deps with pearize.sh
- release 2

* Fri Aug 20 2010 Elan Ruusamäe <glen@pld-linux.org> 48fa880
- updated to: 0.4.5

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> cdcd9d6
- rel 4

* Mon Nov 12 2007 Elan Ruusamäe <glen@pld-linux.org> 2390670
- req just PEAR-core; rel 3

* Tue Aug 28 2007 Elan Ruusamäe <glen@pld-linux.org> 9c552cf
- rel 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 6b76cda
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> bdb01cf
- converted to UTF-8

* Mon Sep 04 2006 Adam Gołębiowski <adamg@pld-linux.org> ec603ef
- updated to 0.4.4

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 3936c06
- BR rpm-build macros >= 1.300 for %pear_ macros

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 46f7088
- BR php-pear-PEAR

* Thu Nov 03 2005 Elan Ruusamäe <glen@pld-linux.org> 3963bfa
- pearize

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> 16f2c52
- new pear packaging

* Sun Aug 21 2005 Adam Gołębiowski <adamg@pld-linux.org> ee3a81e
- new

